/*

    sftpd - meant to be a small and flexible ftp server implementation
    Copyright (C) 2009  Jan Murawski  der@oelgoetze.de

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

    For more information about the GNU Public license see:
    http://www.gnu.org/copyleft/gpl.html

*/

#ifndef _CONVERT_UTIL_
#define _CONVERT_UTIL_


#include <windows.h>
#include <string>
using namespace std;



string intToString(int integer);
string intToStr(int integer);

string intToString(long long integer);
string intToStr(long long integer);

void fillString(string *str, char filler, unsigned int len);    // put filler char infront of string 
                                                                // till it reaches requested length
void int32To64(long low, long high, long long &i64);            // assembles a 64 bit integer from its low and high part
void int64To32(long long i64, long &low, long &high);           // splits a 64 bit integer to its low and high part

#endif _CONVERT_UTIL_
